Extending Qt Creator Manual | FunctionTypeNode

Extending Qt Creator Manual 4.7.1

# FunctionTypeNode Class

(Debugger::Internal::FunctionTypeNode)

Inherits: | Debugger::Internal::ParseTreeNode

- List of all members, including inherited members

## Public Types

typedef | Ptr

## Public Functions

| FunctionTypeNode(Debugger::Internal::GlobalParseState *parseState)
bool | isExternC() const
int | toByteArray() const

- 7 public functions inherited from Debugger::Internal::ParseTreeNode

## Static Public Members

bool | mangledRepresentationStartsWith(char c)

- 1 static public member inherited from Debugger::Internal::ParseTreeNode

### Additional Inherited Members

- 2 protected functions inherited from Debugger::Internal::ParseTreeNode

## Member Type Documentation

### typedef FunctionTypeNode::Ptr

## Member Function Documentation

### FunctionTypeNode::FunctionTypeNode(Debugger::Internal::GlobalParseState *parseState)

Default constructs an instance of FunctionTypeNode.

### bool FunctionTypeNode::isExternC() const

### `[static]` bool FunctionTypeNode::mangledRepresentationStartsWith(char c)

### int FunctionTypeNode::toByteArray() const